=== src/Makefile ===
--- 
+++ 
@@ -55,9 +55,10 @@
 LIBS += $(addprefix -L,$(dir $(wildcard $(UPX_UCLDIR)/libucl$(libext) $(UPX_UCLDIR)/src/.libs/libucl$(libext))))
 endif
 LIBS += -lucl -lz
-# you should set envvar UPX_LZMADIR to point to your unpacked lzma443.tar.bz2
-ifneq ($(wildcard $(UPX_LZMADIR)/C/7zip/.),)
-DEFS += -DWITH_LZMA=1
+# you should set envvar UPX_LZMADIR to point to your unpacked LZMA SDK
+include $(top_srcdir)/src/stub/src/c/Makevars.lzma
+ifneq ($(UPX_LZMA_VERSION),)
+DEFS += -DWITH_LZMA=$(UPX_LZMA_VERSION)
 INCLUDES += -I$(UPX_LZMADIR)
 endif
 
@@ -86,10 +87,13 @@
 ifeq ($(USE_GNUC),1)
 ##compress_lzma$(objext) : CXXFLAGS += -O3 -fomit-frame-pointer
 compress_lzma$(objext) : CXXFLAGS += -Wno-cast-qual
+compress_lzma$(objext) : CXXFLAGS += -Wno-shadow
+ifeq ($(UPX_LZMA_VERSION),0x443)
 compress_lzma$(objext) : CXXFLAGS += -Wno-non-virtual-dtor
-compress_lzma$(objext) : CXXFLAGS += -Wno-shadow
 compress_lzma$(objext) : CXXFLAGS += -Wno-unused
-##compress_lzma$(objext) : CXXFLAGS += -Wno-error
+endif
+# needed for gcc-4.3:
+compress_lzma$(objext) : CXXFLAGS += -Wno-error
 endif
