=== src/stub/Makefile ===
--- 
+++ 
@@ -9,6 +9,7 @@
 MAKEFLAGS += -rR
 .SUFFIXES:
 .SECONDEXPANSION:
+.NOTPARALLEL:
 export LC_ALL = C
 export SHELL = /bin/sh
 
@@ -88,10 +89,14 @@
 STUBS += i386-win32.pe.h
 STUBS += m68k-atari.tos.h
 STUBS += mipsel.r3000-ps1.h
+STUBS += mipsel.r3000-linux.elf-entry.h
+STUBS += mipsel.r3000-linux.elf-fold.h
 STUBS += powerpc-darwin.macho-entry.h
 STUBS += powerpc-darwin.macho-fold.h
 STUBS += powerpc-linux.elf-entry.h
 STUBS += powerpc-linux.elf-fold.h
+STUBS += powerpc-linux.kernel.vmlinux.h
+STUBS += powerpc-linux.kernel.vmlinux-head.h
 endif
 
 
@@ -147,8 +152,11 @@
 tc_objdump_disasm_options =
 
 # commands
+ECHO_e     = /bin/echo -e
+ECHO_E     = /bin/echo -E
+PERL       = perl
 PYTHON     = python
-UNIX2DOS  := perl -i -pe 's/$$/\r/;'
+UNIX2DOS  := $(PERL) -i -pe 's/$$/\r/;'
 
 # trim (strip) trailing whitespace
 RTRIM     := sed -e 's/[ $(tab)]*$$//'
@@ -237,7 +245,7 @@
 
 tc.amd64-linux.elf.gcc  = amd64-linux-gcc-3.4.4 -m64 -nostdinc -MMD -MT $@
 tc.amd64-linux.elf.gcc += -fno-exceptions -fno-asynchronous-unwind-tables
-tc.amd64-linux.elf.gcc += -Wall -W -Wcast-align -Wcast-qual -Wwrite-strings -Werror
+tc.amd64-linux.elf.gcc += -Wall -W -Wcast-align -Wcast-qual -Wstrict-prototypes -Wwrite-strings -Werror
 
 amd64-linux.elf-entry.h: $(srcdir)/src/$$T.S
 	$(call tc,gcc) -c -x assembler-with-cpp $< -o tmp/$T.bin
@@ -291,7 +299,7 @@
 
 tc.arm-linux.elf.gcc  = arm-linux-gcc-4.1.0 -march=armv4 -nostdinc -MMD -MT $@
 tc.arm-linux.elf.gcc += -fno-exceptions -fno-asynchronous-unwind-tables
-tc.arm-linux.elf.gcc += -Wall -W -Wcast-align -Wcast-qual -Wwrite-strings -Werror
+tc.arm-linux.elf.gcc += -Wall -W -Wcast-align -Wcast-qual -Wstrict-prototypes -Wwrite-strings -Werror
 
 arm-linux.elf-entry.h : $(srcdir)/src/$$T.S
 	$(call tc,gcc) -march=armv4 -c $< -o tmp/$T.bin
@@ -325,17 +333,10 @@
 
 tc.arm-linux.kernel.gcc  = arm-linux-gcc-4.1.0 -march=armv5 -nostdinc -MMD -MT $@
 tc.arm-linux.kernel.gcc += -fno-exceptions -fno-asynchronous-unwind-tables
-tc.arm-linux.kernel.gcc += -Wall -W -Wcast-align -Wcast-qual -Wwrite-strings -Werror
+tc.arm-linux.kernel.gcc += -Wall -W -Wcast-align -Wcast-qual -Wstrict-prototypes -Wwrite-strings -Werror
 
 arm-linux.kernel.vmlinu%.h : $(srcdir)/src/$$T.S
 	$(call tc,gcc) -c -x assembler-with-cpp $< -o tmp/$T.bin
 	$(call tc,f-embed_objinfo,tmp/$T.bin)
 	$(call tc,bin2h-c) tmp/$T.bin $@
 
-arm-linux.kernel.vmlinux-head.h : $(srcdir)/src/$$T.S
-	$(call tc,gcc) -c -x assembler-with-cpp $< -o tmp/$T.o
-	$(call tc,objcopy) --output-target binary --only-section .text tmp/$T.o tmp/$T.bin
-	$(call tc,bin2h) tmp/$T.bin $@
-
-
-# /***********************************************************************
