## upx-ucl 3.05

=== src/Makefile ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #
 # UPX Makefile - needs GNU make 3.81 or better
+#
+# Copyright (C) 1996-2010 Markus Franz Xaver Johannes Oberhumer
 #
 
 MAKEFLAGS += -rR
@@ -36,8 +38,9 @@
 else
 CXXFLAGS += -O2
 endif
-CXXFLAGS += -Wall -W -Wcast-align -Wcast-qual -Wpointer-arith -Wwrite-strings -Werror
-##CXXFLAGS += -Wshadow
+CXXFLAGS_WERROR = -Werror
+CXXFLAGS += -Wall -W -Wcast-align -Wcast-qual -Wpointer-arith -Wshadow -Wwrite-strings
+CXXFLAGS += $(CXXFLAGS_WERROR)
 endif
 CPPFLAGS += $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES)
 CXXLD ?= $(CXX)
