=== src/stub/Makefile ===
--- 
+++ 
@@ -5,6 +5,8 @@
 # cross-assemblers and cross-compilers - please see README.SRC
 # for details.
 #
+# Copyright (C) 1996-2010 Markus Franz Xaver Johannes Oberhumer
+#
 
 MAKEFLAGS += -rR
 .SUFFIXES:
@@ -46,19 +48,30 @@
 # ************************************************************************/
 
 ifndef STUBS
+STUBS += amd64-darwin.dylib-entry.h
+STUBS += amd64-darwin.macho-entry.h
+STUBS += amd64-darwin.macho-fold.h
 STUBS += amd64-linux.elf-entry.h
 STUBS += amd64-linux.elf-fold.h
 STUBS += amd64-linux.kernel.vmlinux.h
 STUBS += amd64-linux.kernel.vmlinux-head.h
-STUBS += amd64-linux.kernel.vmlinuz.h
+STUBS += amd64-linux.shlib-init.h
+STUBS += armel-eabi-linux.elf-entry.h
+STUBS += armel-eabi-linux.elf-fold.h
+STUBS += armel-eabi-linux.shlib-init.h
+STUBS += arm-darwin.macho-entry.h
+STUBS += arm-darwin.macho-fold.h
 STUBS += arm-linux.elf-entry.h
 STUBS += arm-linux.elf-fold.h
 STUBS += arm-linux.kernel.vmlinux.h
 STUBS += arm-linux.kernel.vmlinux-head.h
+STUBS += arm-linux.shlib-init.h
 STUBS += armeb-linux.elf-entry.h
 STUBS += armeb-linux.elf-fold.h
 STUBS += armeb-linux.kernel.vmlinux.h
 STUBS += armeb-linux.kernel.vmlinux-head.h
+STUBS += armel-linux.kernel.vmlinuz.h
+STUBS += armel-linux.kernel.vmlinuz-head.h
 STUBS += arm.v4a-wince.pe.h
 STUBS += arm.v4t-wince.pe.h
 STUBS += i086-dos16.com.h
@@ -68,6 +81,8 @@
 STUBS += i386-bsd.elf-fold.h
 STUBS += i386-bsd.elf.execve-entry.h
 STUBS += i386-bsd.elf.execve-fold.h
+STUBS += i386-darwin.dylib-entry.h
+# STUBS += i386-darwin.dylib-fold.h
 STUBS += i386-darwin.macho-entry.h
 STUBS += i386-darwin.macho-fold.h
 STUBS += i386-openbsd.elf-fold.h
@@ -86,17 +101,22 @@
 STUBS += i386-linux.kernel.vmlinux.h
 STUBS += i386-linux.kernel.vmlinux-head.h
 STUBS += i386-linux.kernel.vmlinuz.h
+STUBS += i386-linux.shlib-init.h
 STUBS += i386-win32.pe.h
 STUBS += m68k-atari.tos.h
-STUBS += mipsel.r3000-ps1.h
+STUBS += mips.r3000-linux.elf-entry.h
+STUBS += mips.r3000-linux.elf-fold.h
 STUBS += mipsel.r3000-linux.elf-entry.h
 STUBS += mipsel.r3000-linux.elf-fold.h
+STUBS += mipsel.r3000-ps1.h
+STUBS += powerpc-darwin.dylib-entry.h
 STUBS += powerpc-darwin.macho-entry.h
 STUBS += powerpc-darwin.macho-fold.h
 STUBS += powerpc-linux.elf-entry.h
 STUBS += powerpc-linux.elf-fold.h
 STUBS += powerpc-linux.kernel.vmlinux.h
 STUBS += powerpc-linux.kernel.vmlinux-head.h
+STUBS += thumb-eabi-linux.shlib-init.h
 endif
 
 
@@ -181,7 +201,7 @@
 # error sentinel for missing commands
 __tc_FALSE     = false tc_FALSE: '1:$1 2:$2 3:$3 4:$4 5:$5' '$@' '$<' '$(tc_list)'
 # call (expand) the first variable that is not empty
-  # [move the next line within the "tc" macro for debugging]
+  # [move the next comment line within the "tc" macro for debugging]
   # tc debug '1:$1 2:$2 3:$3 4:$4 5:$5' '$@' '$<' '$(tc_list)'
 define tc
   $(call $(call __tc_varsearch,$(call __tc_varlist,$1) __tc_FALSE),$2,$3,$4,$5)
@@ -220,7 +240,7 @@
 	$(call tc,objcopy) -R .text -R .data -R .bss $1
 	$(call tc,objcopy) -R .comment -R .note -R .note.GNU-stack -R .reginfo $1
 	$(call tc,objdump) -Dr $(tc_objdump_disasm_options) $1 | $(RTRIM) > $1.disasm
-	$(call tc,objdump) -htr -w $1 | $(BLSQUEEZE) > $1.dump
+	$(call tc,objdump) -htr -w $1 | $(BLSQUEEZE) | sed -e '1s/^.*: *file format/file format/' > $1.dump
 	$(call tc,xstrip) --with-dump=$1.dump --create-bindump=$1.bindump $1
 	cat $1.dump >> $1
 endef
@@ -237,6 +257,49 @@
 
 
 # /***********************************************************************
+# // amd64-darwin.dylib
+# ************************************************************************/
+
+# info: we use the tc settings from amd64-linux.elf
+amd64-darwin.dylib%.h : tc_list = amd64-linux.elf default
+amd64-darwin.dylib%.h : tc_bfdname = elf64-x86-64
+
+## All code is in dylib-entry.  There is no dylib-fold, no dylib-main.
+amd64-darwin.dylib-entry.h : $(srcdir)/src/$$T.S
+	$(call tc,gcc) -c $< -o tmp/$T.bin
+	$(call tc,f-embed_objinfo,tmp/$T.bin)
+	$(call tc,bin2h) tmp/$T.bin $@
+
+
+# /***********************************************************************
+# // amd64-darwin.macho
+# ************************************************************************/
+
+# info: we use the tc settings from amd64-linux.elf
+amd64-darwin.macho%.h : tc_list = amd64-linux.elf default
+amd64-darwin.macho%.h : tc_bfdname = elf64-x86-64
+
+amd64-darwin.macho-entry.h : $(srcdir)/src/$$T.S
+	$(call tc,gcc) -c $< -o tmp/$T.bin
+	$(call tc,f-embed_objinfo,tmp/$T.bin)
+	$(call tc,bin2h) tmp/$T.bin $@
+
+amd64-darwin.macho-fold.h : tmp/$$T.o tmp/amd64-darwin.macho-main.o
+	$(call tc,ld) --no-warn-mismatch --strip-all --oformat binary -Map tmp/$T.map $(filter %.o,$^) -o tmp/$T.bin
+	chmod a-x tmp/$T.bin
+	$(call tc,bin2h) tmp/$T.bin $@
+
+tmp/amd64-darwin.macho-fold.o : $(srcdir)/src/$$T.S
+	$(call tc,gcc) -c $< -o $@
+	$(call tc,f-objstrip,$@)
+
+tmp/amd64-darwin.macho-main.o : $(srcdir)/src/$$T.c
+	$(call tc,gcc) -c -Os $< -o $@
+	$(call tc,f-objstrip,$@)
+	$(call tc,objdump) -dr $(tc_objdump_disasm_options) $@ | $(RTRIM) > $@.disasm
+
+
+# /***********************************************************************
 # // amd64-linux.elf
 # ************************************************************************/
 
@@ -253,7 +316,9 @@
 	$(call tc,bin2h) tmp/$T.bin $@
 
 amd64-linux.elf-fold.h : tmp/$$T.o tmp/amd64-linux.elf-main.o $(srcdir)/src/$$T.lds
-	$(call tc,ld) --strip-all -T $(srcdir)/src/$T.lds -Map tmp/$T.map $(filter %.o,$^) -o tmp/$T.bin
+#	# FIXME: multiarch-ld-2.18 creates a huge file here, so use 2.17
+#	####$(call tc,ld) --strip-all -T $(srcdir)/src/$T.lds -Map tmp/$T.map $(filter %.o,$^) -o tmp/$T.bin
+	multiarch-ld-2.17 --strip-all -T $(srcdir)/src/$T.lds -Map tmp/$T.map $(filter %.o,$^) -o tmp/$T.bin
 	$(call tc,f-objstrip,tmp/$T.bin)
 	$(call tc,sstrip) tmp/$T.bin
 	$(call tc,bin2h) tmp/$T.bin $@
@@ -270,73 +335,9 @@
 
 # /***********************************************************************
 # // amd64-linux.kernel.vmlinux
-# // amd64-linux.kernel.vmlinuz
 # // amd64-linux.kernel.vmlinux-head
 # ************************************************************************/
 
 # info: we use the tc settings from arch-i386 !!
 
 amd64-linux.kernel.vmlinu%.h : tc_list = arch-i386 default
-amd64-linux.kernel.vmlinu%.h : tc_bfdname = elf32-i386
-
-amd64-linux.kernel.vmlinu%.h : $(srcdir)/src/$$T.S
-	$(call tc,gcc) -c -x assembler-with-cpp $< -o tmp/$T.bin
-	$(call tc,f-embed_objinfo,tmp/$T.bin)
-	$(call tc,bin2h-c) tmp/$T.bin $@
-
-amd64-linux.kernel.vmlinux-head.h : $(srcdir)/src/$$T.S
-	$(call tc,gcc) -c -x assembler-with-cpp $< -o tmp/$T.o
-	$(call tc,objcopy) --output-target binary --only-section .text tmp/$T.o tmp/$T.bin
-	$(call tc,bin2h) tmp/$T.bin $@
-
-
-# /***********************************************************************
-# // arm-linux.elf
-# ************************************************************************/
-
-arm-linux.elf%.h : tc_list = arm-linux.elf default
-arm-linux.elf%.h : tc_bfdname = elf32-littlearm
-
-tc.arm-linux.elf.gcc  = arm-linux-gcc-4.1.0 -march=armv4 -nostdinc -MMD -MT $@
-tc.arm-linux.elf.gcc += -fno-exceptions -fno-asynchronous-unwind-tables
-tc.arm-linux.elf.gcc += -Wall -W -Wcast-align -Wcast-qual -Wstrict-prototypes -Wwrite-strings -Werror
-
-arm-linux.elf-entry.h : $(srcdir)/src/$$T.S
-	$(call tc,gcc) -march=armv4 -c $< -o tmp/$T.bin
-	$(call tc,f-embed_objinfo,tmp/$T.bin)
-	$(call tc,bin2h) tmp/$T.bin $@
-
-arm-linux.elf-fold.h : tmp/$$T.o tmp/arm-linux.elf-main.o $(srcdir)/src/$$T.lds
-	$(call tc,ld) --strip-all -T $(srcdir)/src/$T.lds -Map tmp/$T.map $(filter %.o,$^) -o tmp/$T.bin
-	$(call tc,f-objstrip,tmp/$T.bin)
-	$(call tc,sstrip) tmp/$T.bin
-	$(call tc,bin2h) tmp/$T.bin $@
-
-tmp/arm-linux.elf-fold.o : $(srcdir)/src/$$T.S
-	$(call tc,gcc) -c $< -o $@
-	$(call tc,f-objstrip,$@)
-
-tmp/arm-linux.elf-main.o : $(srcdir)/src/$$T.c
-	$(call tc,gcc) -c -Os $< -o $@
-	$(call tc,f-objstrip,$@)
-	$(call tc,objdump) -dr $(tc_objdump_disasm_options) $@ | $(RTRIM) > $@.disasm
-
-
-# /***********************************************************************
-# // arm-linux.kernel.vmlinux
-# // arm-linux.kernel.vmlinuz
-# // arm-linux.kernel.vmlinux-head
-# ************************************************************************/
-
-arm-linux.kernel.vmlinu%.h : tc_list = arm-linux.kernel default
-arm-linux.kernel.vmlinu%.h : tc_bfdname = elf32-littlearm
-
-tc.arm-linux.kernel.gcc  = arm-linux-gcc-4.1.0 -march=armv5 -nostdinc -MMD -MT $@
-tc.arm-linux.kernel.gcc += -fno-exceptions -fno-asynchronous-unwind-tables
-tc.arm-linux.kernel.gcc += -Wall -W -Wcast-align -Wcast-qual -Wstrict-prototypes -Wwrite-strings -Werror
-
-arm-linux.kernel.vmlinu%.h : $(srcdir)/src/$$T.S
-	$(call tc,gcc) -c -x assembler-with-cpp $< -o tmp/$T.bin
-	$(call tc,f-embed_objinfo,tmp/$T.bin)
-	$(call tc,bin2h-c) tmp/$T.bin $@
-
