=== debian/changelog ===
upx-ucl (3.05-1ubuntu1) maverick; urgency=low

  * Merge from debian unstable. (LP: #603122) Remaining changes:
    - [arm] needs porting to thumb2; use -marm as the code
      does a lot of low level hacking not yet ready for thumb2 
      (LP: #514254)

 -- Bhavani Shankar <bhavi@ubuntu.com>  Thu, 08 Jul 2010 13:40:54 +0530

upx-ucl (3.05-1) unstable; urgency=low

  * New upstream release.
  * Switch to the `3.0 (quilt)' source format:
    + split previous changes into two patches: 00_Makefile.patch
      and 01_documentation.patch.
  * Standards-Version: 3.8.4 (no changes).

 -- Robert Luberda <robert@debian.org>  Sat, 12 Jun 2010 16:21:24 +0200

upx-ucl (3.04-1ubuntu1) lucid; urgency=low

  * fix LP: #514254 - [arm] needs porting to thumb2; use -marm as the code
    does a lot of low level hacking not yet ready for thumb2 

 -- Alexander Sack <asac@ubuntu.com>  Mon, 12 Apr 2010 15:24:02 +0200

upx-ucl (3.04-1) unstable; urgency=low

  * New upstream release:
    + FTBFS with gcc 4.4 fixed by upstream (closes: #548566).
  * p_mach.cpp: Fix from upstream vcs: mach/fat needs seek() 
    after set_extent().

 -- Robert Luberda <robert@debian.org>  Fri, 16 Oct 2009 12:56:47 +0200

upx-ucl (3.03-3) unstable; urgency=low

  * Upload to unstable.
  * Standards-Version: 3.8.3 (no changes).
  * Build with debhelper v7.
  * rules: call dh_prep instead of `dh_clean -k'.

 -- Robert Luberda <robert@debian.org>  Sun, 20 Sep 2009 21:34:57 +0200

upx-ucl (3.03-2) experimental; urgency=low

  * Merge changes from 3.01-2.1 and 3.01-3.

 -- Robert Luberda <robert@debian.org>  Sun, 27 Jul 2008 23:38:45 +0200

upx-ucl (3.03-1) experimental; urgency=low

  * New upstream release.
  * Fix bashism in debian/rules (closes: #478635).

 -- Robert Luberda <robert@debian.org>  Tue, 29 Apr 2008 23:01:31 +0200

upx-ucl (3.02-2) experimental; urgency=low

  * Merge changes from 3.01-2.

 -- Robert Luberda <robert@debian.org>  Sun, 27 Apr 2008 09:37:26 +0200

upx-ucl (3.02-1) experimental; urgency=low

  * New upstream version.
  * Standards-Version: 3.7.3 (no changes).
  * Move homepage url from Description to its own field.

 -- Robert Luberda <robert@debian.org>  Sat, 05 Jan 2008 10:03:36 +0100

upx-ucl (3.01-3) unstable; urgency=low

  * Applied patch from Ubuntu to fix ftbfs due to "format not a string 
    literal and no format arguments" warning.

 -- Robert Luberda <robert@debian.org>  Sun, 27 Jul 2008 13:06:38 +0200

upx-ucl (3.01-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix bashism in debian/rules (Closes: #478635)
  * Bump Standards-Version to 3.8.0.

 -- Chris Lamb <chris@chris-lamb.co.uk>  Sat, 07 Jun 2008 21:21:37 +0100

upx-ucl (3.01-2) unstable; urgency=low

  * Merge changes from experimental:
    + Standards-Version: 3.7.3 (no changes).
    + Move homepage url from Description to its own field.
  * Build with debhelper v6.
  * Remove debian revision from libucl-dev build dependency (lintian).
  * Change doc-base section to `File Management' (lintian).

 -- Robert Luberda <robert@debian.org>  Sat, 26 Apr 2008 18:45:42 +0200

upx-ucl (3.01-1) unstable; urgency=low

  * New upstream version.

 -- Robert Luberda <robert@debian.org>  Thu, 09 Aug 2007 22:59:19 +0200

upx-ucl (3.00-2) unstable; urgency=low

  * Fix FTBFS on big-endian archs (hppa, ia64,sparc).

 -- Robert Luberda <robert@debian.org>  Fri, 06 Jul 2007 09:03:34 +0200

upx-ucl (3.00-1) unstable; urgency=low

  * New upstream version (closes: #422910).

 -- Robert Luberda <robert@debian.org>  Sun, 20 May 2007 13:43:54 +0200

upx-ucl (2.03-3) unstable; urgency=low

  * Upload to unstable.
  * Fix FTBFS with gcc 4.3 (closes: #417676).

 -- Robert Luberda <robert@debian.org>  Mon, 23 Apr 2007 21:50:34 +0200

upx-ucl (2.03-2) experimental; urgency=low

  * Sync debian/rules with upx-ucl-beta 2.93-1.
  * dh_upx: Fix broken i386-linux architecture check.

 -- Robert Luberda <robert@debian.org>  Sat, 10 Mar 2007 22:12:32 +0100

upx-ucl (2.03-1) unstable; urgency=low

  * New upstream version.

 -- Robert Luberda <robert@debian.org>  Wed, 31 Jan 2007 00:45:25 +0100

upx-ucl (2.01-1) unstable; urgency=low

  * New upstream version.
  * Standards-Version: 3.7.2 (no changes).

 -- Robert Luberda <robert@debian.org>  Tue, 13 Jun 2006 21:23:23 +0200

upx-ucl (2.00-1) unstable; urgency=low

  * New upstream version:
    + support for a few new executable formats, like arm/pe, linux elf/amd64,
      linux elf/ppc32, mach/ppc32, bootable Linux kernels ("vmlinuz/386"),
      Playstation exes ("ps1/exe")
    + new options for compression tuning (e.g. '--brute')
    + improved win32/pe compatibility
    + direct ELF-to-memory decompression.
  * Update package description.
  * Add build dependency on zlib1g-dev, remove unneeded dependency on man-db.
  * Use debhelper v5.
  * Standards-Version: 3.7.0.

 -- Robert Luberda <robert@debian.org>  Mon,  1 May 2006 18:09:52 +0200

upx-ucl (1.25-5) unstable; urgency=low

  * debian/doc-base: change section to Apps/Tools (closes: #335075).

 -- Robert Luberda <robert@debian.org>  Sat, 22 Oct 2005 20:08:00 +0200

upx-ucl (1.25-4) unstable; urgency=low

  * Rebuild for g++ transition.
  * Standards-Version: 3.6.2 (no changes).

 -- Robert Luberda <robert@debian.org>  Sun,  7 Aug 2005 22:01:10 +0200

upx-ucl (1.25-3) unstable; urgency=low

  * Try to fix problem with compling on arm.

 -- Robert Luberda <robert@debian.org>  Sun, 10 Oct 2004 20:48:04 +0200

upx-ucl (1.25-2) unstable; urgency=low

  * Upload to unstable.
  * Fix typo in debian/watch file.

 -- Robert Luberda <robert@debian.org>  Tue, 28 Sep 2004 21:34:32 +0200

upx-ucl (1.25-1) experimental; urgency=low

  * New upstream version:
    + build with libucl-dev 1.03-1
  * Standards-Version: 3.6.1 (no changes).
  * Add debian/watch file.
  * Add lintian source override file for `cvsignore-file-in-source'.
  * Add homepage link to the package description.

 -- Robert Luberda <robert@debian.org>  Mon, 26 Jul 2004 21:00:43 +0200


