=== debian/control ===
Source: upx-ucl
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Robert Luberda <robert@debian.org>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 7), libucl-dev (>= 1.03), zlib1g-dev (>= 1:1.1.4)

Package: upx-ucl
Architecture: any
Provides: upx, dh-upx
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: an efficient live-compressor for executables
 UPX is an advanced executable file compressor. UPX will typically
 reduce the file size of programs and DLLs by around 50%-70%, thus
 reducing disk space, network load times, download times etc. The
 current version can compress executables for DOS, Linux/ELF (i386,
 amd64, ppc32) and some other files for different OS.
 .
 NOTE: This package is based on the UCL library, which is licensed under GPL.
Homepage: http://upx.sourceforge.net/
