## upx-ucl 3.07

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #
 # UPX toplevel Makefile - needs GNU make 3.81 or better
+#
+# Copyright (C) 1996-2010 Markus Franz Xaver Johannes Oberhumer
 #
 
 MAKEFLAGS += -rR
@@ -36,13 +38,5 @@
 	$(MAKE) -C doc $@
 
 
-ifneq ($(wildcard .hg/data/.),)
-# automatically generate ChangeLog from local Mercurial repo
-ChangeLog:
-	hg log --style=changelog > $@
-.PHONY: ChangeLog
-endif
-
-
 .PHONY: default all mostlyclean clean distclean maintainer-clean
