=== src/stub/src/arch/Makefile ===
# convenience Makefile
default %:
	$(MAKE) -C ../.. $@
