=== debian/changelog ===
upx-ucl (3.07-4) experimental; urgency=low

  * Compile with the latest version of lzma-dev (closes: #452817):
    + add 02_lzma.patch for minor changes required to accomplish the above;
    + introduce build dependency on lzma-dev (>= 9.22).
  * 03_typos.patch, debian/doc-base: Fix typos found by lintian.
  * Remove leading article from package's description (lintian).
  * Bump Standards-Version to 3.9.2 (no changes required).

 -- Robert Luberda <robert@debian.org>  Tue, 13 Sep 2011 07:55:34 +0200

upx-ucl (3.07-3) unstable; urgency=low

  * debian/rules: use CPPFLAGS instead of CXXFLAGS for setting preprocessor
    macros to fix FTBFS on sparc introduced in previous upload.

 -- Robert Luberda <robert@debian.org>  Wed, 09 Feb 2011 08:21:54 +0100

upx-ucl (3.07-2) unstable; urgency=low

  * Upload to unstable.
  * Remove dh_upx, is not needed at all.
  * debian/rules:
    + provide build-indep, build-arch targets;
    + call dpkg-buildflags for getting CXXFLAGS and LDFLAGS;
    + use dh_auto_build and dh_auto_clean.

 -- Robert Luberda <robert@debian.org>  Tue, 08 Feb 2011 20:19:12 +0100

upx-ucl (3.07-1) experimental; urgency=low

  * New upstream release.
  * Build with debhelper v8.
  * Standards-Version: 3.9.1 (no changes).

 -- Robert Luberda <robert@debian.org>  Sun, 12 Sep 2010 16:44:13 +0200
